Boost.Locale: boost::locale::generic_codecvt< CharType, CodecvtImpl, 4 > Class Template Reference

| Boost.Locale

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
boost::locale::generic_codecvt< CharType, CodecvtImpl, 4 > Class Template Reference

UTF-32 to/from UTF-8 codecvt facet to use with char32_t or wchar_t on POSIX platforms. More...

`#include <boost/locale/generic_codecvt.hpp>`

Inheritance diagram for boost::locale::generic_codecvt< CharType, CodecvtImpl, 4 >:

## Public Types
typedef CharType | uchar
Public Types inherited from boost::locale::generic_codecvt_base
enum | initial_convertion_state { to_unicode_state, from_unicode_state }

## Public Member Functions
| generic_codecvt (size_t refs=0)
CodecvtImpl const & | implementation () const

## Protected Member Functions
virtual std::codecvt_base::result | do_unshift (std::mbstate_t &, char *from, char *, char *&next) const
virtual int | do_encoding () const throw ()
virtual int | do_max_length () const throw ()
virtual bool | do_always_noconv () const throw ()
virtual int | do_length (std::mbstate_t &, char const *from, char const *from_end, size_t max) const
virtual std::codecvt_base::result | do_in (std::mbstate_t &, char const *from, char const *from_end, char const *&from_next, uchar *to, uchar *to_end, uchar *&to_next) const
virtual std::codecvt_base::result | do_out (std::mbstate_t &, uchar const *from, uchar const *from_end, uchar const *&from_next, char *to, char *to_end, char *&to_next) const

## Detailed Description

### template<typename CharType, typename CodecvtImpl>
class boost::locale::generic_codecvt< CharType, CodecvtImpl, 4 >

UTF-32 to/from UTF-8 codecvt facet to use with char32_t or wchar_t on POSIX platforms.

Its member functions implement standard virtual functions of basic codecvt. mbstate_t is not used for UTF-32 handling due to fixed length encoding

The documentation for this class was generated from the following file:

- boost/locale/generic_codecvt.hpp

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.